#include "../../manic.h"
#include "common.h"
#include "../keyboard.h"

int
mm_keyb_pressed (int scancode)
{
  int counter;
  if (scancode != KEYB_ANYKEY) {
#ifdef LINUX
    switch (scancode) {
    case KEYB_ESC:
      return (key[KEY_ESC]);
    case KEYB_1:
      return (key[KEY_1]);
    case KEYB_2:
      return (key[KEY_2]);
    case KEYB_3:
      return (key[KEY_3]);
    case KEYB_4:
      return (key[KEY_4]);
    case KEYB_5:
      return (key[KEY_5]);
    case KEYB_6:
      return (key[KEY_6]);
    case KEYB_7:
      return (key[KEY_7]);
    case KEYB_8:
      return (key[KEY_8]);
    case KEYB_9:
      return (key[KEY_9]);
    case KEYB_0:
      return (key[KEY_0]);
    case KEYB_Q:
      return (key[KEY_Q]);
    case KEYB_W:
      return (key[KEY_W]);
    case KEYB_E:
      return (key[KEY_E]);
    case KEYB_R:
      return (key[KEY_R]);
    case KEYB_T:
      return (key[KEY_T]);
    case KEYB_Y:
      return (key[KEY_Y]);
    case KEYB_U:
      return (key[KEY_U]);
    case KEYB_I:
      return (key[KEY_I]);
    case KEYB_O:
      return (key[KEY_O]);
    case KEYB_P:
      return (key[KEY_P]);
    case KEYB_A:
      return (key[KEY_A]);
    case KEYB_S:
      return (key[KEY_S]);
    case KEYB_D:
      return (key[KEY_D]);
    case KEYB_F:
      return (key[KEY_F]);
    case KEYB_G:
      return (key[KEY_G]);
    case KEYB_H:
      return (key[KEY_H]);
    case KEYB_J:
      return (key[KEY_J]);
    case KEYB_K:
      return (key[KEY_K]);
    case KEYB_L:
      return (key[KEY_L]);
    case KEYB_Z:
      return (key[KEY_Z]);
    case KEYB_X:
      return (key[KEY_X]);
    case KEYB_C:
      return (key[KEY_C]);
    case KEYB_V:
      return (key[KEY_V]);
    case KEYB_B:
      return (key[KEY_B]);
    case KEYB_N:
      return (key[KEY_N]);
    case KEYB_M:
      return (key[KEY_M]);
    case KEYB_SPACE:
      return (key[KEY_SPACE]);
    case KEYB_ENTER:
      return (key[KEY_ENTER]);
    case KEYB_F1:
      return (key[KEY_F1]);
    case KEYB_F2:
      return (key[KEY_F2]);
    case KEYB_F3:
      return (key[KEY_F3]);
    case KEYB_F4:
      return (key[KEY_F4]);
    case KEYB_F5:
      return (key[KEY_F5]);
    case KEYB_F6:
      return (key[KEY_F6]);
    case KEYB_F7:
      return (key[KEY_F7]);
    case KEYB_F8:
      return (key[KEY_F8]);
    case KEYB_F9:
      return (key[KEY_F9]);
    case KEYB_F10:
      return (key[KEY_F10]);
    case KEYB_F12:
      return (key[KEY_F12]);
    default:
      return (0);
    }
#else
    return (key[scancode]);
#endif
  }
  else
    for (counter = 1; counter < 127; counter++)
      if (key[counter])
	return (1);
  return (0);
}

void
mm_keyb_update (void)
{
}
