#include "../../manic.h"
#include "common.h"

void
mm_snd_init (void)
{
#ifdef SYSTEM_DJGPP
  FILE *soundfile;
#endif

  MIDASstartup ();
#ifdef SYSTEM_DJGPP
  if (!soundfile = fopen ("midas.cfg", "rb")) {
    fclose (soundfile);
    MIDASconfig ();
    MIDASsaveConfig ("midas.cfg");
  }
  else {
    fclose (soundfile);
    MIDASloadConfig ("midas.cfg");
  }
#endif
  if (!MIDASinit ()) {
    printf ("Error initialising MIDAS!\n");
    exit (0);
  }
//#ifdef MSDOS
  MIDASstartBackgroundPlay (0);
//#endif
  MIDASopenChannels (10);
  maxchan = 4;
  curchan = 0;
  manicmod = MIDASloadModule (MUSIC_MOD);
  diewav = MIDASloadWaveSample (DIE_WAV, 0);
  pickwav = MIDASloadWaveSample (PICK_WAV, 0);
  jumpwav = MIDASloadWaveSample (JUMP_WAV, 0);
}
